## wildfly:deploy-only

Full name:

org.wildfly.plugins:wildfly-maven-plugin:4.2.0.Alpha1:deploy-only

Description:

Deploys only the application to the WildFly Application Server without first invoking the the execution of the lifecycle phase 'package' prior to executing itself. If force is set to true, the server is queried to see if the application already exists. If the application already exists, the application is redeployed instead of deployed. If the application does not exist the application is deployed as normal. If force is set to false and the application has already been deployed to the server, an error will occur and the deployment will fail.

Attributes:

- Requires a Maven project to be executed.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
<authenticationConfig> | URL | - | A URL which points to the authentication configuration (wildfly-config.xml) the client uses to authenticate with the server. User property is: wildfly.authConfig. Alias is: authentication-config.
<checkPackaging> | boolean | - | By default certain package types are ignored when processing, e.g. maven-project and pom. Set this value to false if this check should be bypassed. Default value is: true. User property is: wildfly.checkPackaging. Alias is: check-packaging.
<contentUrl> | URL | - | A URL representing the a path to the content to be deployed. The server the content is being deployed to will require access to the URL. If defined this overrides the filename and targetDir configuration parameters. User property is: wildfly.deployment.contentUrl. Alias is: content-url.
<filename> | String | - | The file name of the application to be deployed. The filename property does have a default of ${project.build.finalName}.${project.packaging}. The default value is not injected as it normally would be due to packaging types like ejb that result in a file with a .jar extension rather than an .ejb extension. User property is: wildfly.deployment.filename.
<force> | boolean | - | Specifies whether force mode should be used or not. If force mode is disabled, the deploy goal will cause a build failure if the application being deployed already exists. Default value is: true. User property is: deploy.force.
<hostname> | String | - | Specifies the host name of the server where the deployment plan should be executed. Default value is: localhost. User property is: wildfly.hostname.
<id> | String | - | Specifies the id of the server if the username and password is to be retrieved from the settings.xml file User property is: wildfly.id.
<name> | String | - | Specifies the name used for the deployment. User property is: wildfly.deployment.name.
<password> | String | - | Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password, User property is: wildfly.password.
<port> | int | - | Specifies the port number the server is listening on. Default value is: 9990. User property is: wildfly.port.
<protocol> | String | - | The protocol used to connect to the server for management. User property is: wildfly.protocol.
<runtimeName> | String | - | The runtime name for the deployment. In some cases users may wish to have two deployments with the same runtime-name (e.g. two versions of example.war) both available in the management configuration, in which case the deployments would need to have distinct name values but would have the same runtime-name. User property is: wildfly.deployment.runtime.name. Alias is: runtime-name.
<serverGroups> | List | - | The server groups the content should be deployed to. User property is: wildfly.serverGroups. Alias is: server-groups.
<skip> | boolean | - | Set to true if you want the deployment to be skipped, otherwise false. Default value is: false. User property is: wildfly.skip.
<targetDir> | File | - | The target directory the application to be deployed is located. Default value is: ${project.build.directory}/. User property is: wildfly.deployment.targetDir.
<timeout> | int | - | The timeout, in seconds, to wait for a management connection. Default value is: 60. User property is: wildfly.timeout.
<username> | String | - | Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username, User property is: wildfly.username.

### Parameter Details

#### <authenticationConfig>

A URL which points to the authentication configuration (wildfly-config.xml) the client uses to authenticate with the server.

- Type: java.net.URL
- Required: No
- User Property: wildfly.authConfig
- Alias: authentication-config

#### <checkPackaging>

By default certain package types are ignored when processing, e.g. maven-project and pom. Set this value to false if this check should be bypassed.

- Type: boolean
- Required: No
- User Property: wildfly.checkPackaging
- Default: true
- Alias: check-packaging

#### <contentUrl>

A URL representing the a path to the content to be deployed. The server the content is being deployed to will require access to the URL.

If defined this overrides the filename and targetDir configuration parameters.

- Type: java.net.URL
- Required: No
- User Property: wildfly.deployment.contentUrl
- Alias: content-url

#### <filename>

The file name of the application to be deployed.

The filename property does have a default of ${project.build.finalName}.${project.packaging}. The default value is not injected as it normally would be due to packaging types like ejb that result in a file with a .jar extension rather than an .ejb extension.

- Type: java.lang.String
- Required: No
- User Property: wildfly.deployment.filename

#### <force>

Specifies whether force mode should be used or not.
If force mode is disabled, the deploy goal will cause a build failure if the application being deployed already exists.

- Type: boolean
- Required: No
- User Property: deploy.force
- Default: true

#### <hostname>

Specifies the host name of the server where the deployment plan should be executed.

- Type: java.lang.String
- Required: No
- User Property: wildfly.hostname
- Default: localhost

#### <id>

Specifies the id of the server if the username and password is to be retrieved from the settings.xml file

- Type: java.lang.String
- Required: No
- User Property: wildfly.id

#### <name>

Specifies the name used for the deployment.

- Type: java.lang.String
- Required: No
- User Property: wildfly.deployment.name

#### <password>

Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password,

- Type: java.lang.String
- Required: No
- User Property: wildfly.password

#### <port>

Specifies the port number the server is listening on.

- Type: int
- Required: No
- User Property: wildfly.port
- Default: 9990

#### <protocol>

The protocol used to connect to the server for management.

- Type: java.lang.String
- Required: No
- User Property: wildfly.protocol

#### <runtimeName>

The runtime name for the deployment.

In some cases users may wish to have two deployments with the same runtime-name (e.g. two versions of example.war) both available in the management configuration, in which case the deployments would need to have distinct name values but would have the same runtime-name.

- Type: java.lang.String
- Required: No
- User Property: wildfly.deployment.runtime.name
- Alias: runtime-name

#### <serverGroups>

The server groups the content should be deployed to.

- Type: java.util.List
- Required: No
- User Property: wildfly.serverGroups
- Alias: server-groups

#### <skip>

Set to true if you want the deployment to be skipped, otherwise false.

- Type: boolean
- Required: No
- User Property: wildfly.skip
- Default: false

#### <targetDir>

The target directory the application to be deployed is located.

- Type: java.io.File
- Required: No
- User Property: wildfly.deployment.targetDir
- Default: ${project.build.directory}/

#### <timeout>

The timeout, in seconds, to wait for a management connection.

- Type: int
- Required: No
- User Property: wildfly.timeout
- Default: 60

#### <username>

Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username,

- Type: java.lang.String
- Required: No
- User Property: wildfly.username